Requirements

You’ll need one of the following I/O boards:

  • An Arduino board (Uno, Fio, Mega, Due, Yun, Leonardo, Pro Mini, Duemilanove, etc).
  • Teensy 2.0, Teensy++ 1.0 or 2.0 (install the Teensyduino Arduino addon)
  • Many other Arduino-compatible boards should work.
  • See the full list of compatible boards.

Note: To use Breakout with an Arduino Leonardo, you need to update the Firmata library in your Arduino application. Please refer to the instructions here.

Operation System:

  • Mac OS X 10.6 or higher
  • Windows 7 or XP (you must have a 32-bit version of java installed)
  • Ubuntu 11.10 or higher 64-bit (32-bit may also work)

Prerequisites:

  • Java Runtime Environment version 1.6 or higher must be installed. It’s pre installed on OS X. Windows and Linux users may need to install Java. Get it here (Windows or Linux users) or here (Linux users).

Web Browser:

  • Chrome version 14+
  • Firefox version 11+
  • Safari version 5+
  • Opera 12+

Mobile Web Browsers:

  • Safari
  • Firefox version 7 or higher
  • Chrome for Android

Breakout may also run on older versions of OS X and Windows, but has not been tested. Likewise Breakout may run on other Linux distributions, but so far only Ubuntu 11.10, 12.04 and 14.04 64-bit have been tested. The OS requirements will be updated as new platforms are tested.